class TrainingPlanDetail {
  late int trainingPlanDetailId;
  late int trainingPlanId;
  late int exerciseTypeId;
  late int sort;
  late int set;
  late int repeats;
  late double weight;
  late int restingTime;
  late bool parallel;
  late String day;

  TrainingPlanDetail.fromJson(Map<String, dynamic> json) {
    this.trainingPlanDetailId = json['trainingPlanDetailId'];
    this.trainingPlanId = json['trainingPlanId'];
    this.exerciseTypeId = json['exerciseTypeId'];
    this.sort = json['sort'];
    this.set = json['set'];
    this.repeats = json['repeats'];
    this.weight = json['weight'];
    this.restingTime = json['restingTime'];
    this.parallel = json['parallel'];
    this.day = json['day'];
  }

  Map<String, dynamic> toJson() => {
        "trainingPlanDetailId": this.trainingPlanDetailId,
        "trainingPlanId": this.trainingPlanId,
        "exerciseType": this.exerciseTypeId,
        "sort": this.sort,
        "repeats": this.repeats,
        "weight": this.weight,
        "restingTime": this.restingTime,
        "parallel": this.parallel,
        "day": this.day,
      };

  @override
  String toString() => this.toJson().toString();
}
